- Qt 6.7
- Qt Sensors
- QML Types
- SensorReading
- Qt 6.7.0 Reference Documentation

# SensorReading QML Type

The SensorReading element serves as a base type for sensor readings. More...

Import Statement: | import QtSensors
Since: | QtSensors 5.0
Inherited By: | AccelerometerReading, AmbientLightReading, AmbientTemperatureReading, CompassReading, GyroscopeReading, HumidityReading, LightReading, MagnetometerReading, OrientationReading, PressureReading, ProximityReading, RotationReading, and TiltReading

- List of all members, including inherited members

## Properties

- timestamp : quint64

## Detailed Description

The SensorReading element serves as a base type for sensor readings.

This element wraps the QSensorReading class. Please see the documentation for QSensorReading for details.

This element cannot be directly created.

## Property Documentation

timestamp : quint64

A timestamp for the reading.

Please see QSensorReading::timestamp for information about this property.